getStemLanguages {SnowballC} | R Documentation

## Query the list of supported languages

### Description

This dynamically determines the names of the languages for which stemming is currently supported by this package.

### Usage

    getStemLanguages()

### Details

The language names in lower case are returned, though please note that two- and three- letter ISO-639 codes are also accepted by `wordStem` (see references for the list of codes).

This queries the C code for the list of languages that were compiled when the package was installed which in turn is determined by the code that was included in the distributed package itself.

### Value

A character vector giving the names of the languages.

### Author(s)

Milan Bouchet-Valat

### References

http://snowball.tartarus.org/

http://www.loc.gov/standards/iso639-2/php/code_list.php for a list of ISO-639 language codes.

### See Also

`wordStem`

### Examples

      getStemLanguages()

[Package SnowballC version 0.5.1 Index]